Name:           wastesedge
Version:        0.3.4
Release:        0.9%{?dist}
Summary:        Official game package for Adonthell

Group:          Amusements/Games
License:        GPL+
URL:            http://adonthell.linuxgames.com/
Source0:        http://savannah.nongnu.org/download/adonthell/%{name}-src-%{version}.tar.gz
Source1:        %{name}.desktop
Patch0:        %{name}-more.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  adonthell >= %{version}
BuildRequires:  gettext
BuildRequires:  desktop-file-utils
Requires:       adonthell >= %{version}-%{release}


%description
As a loyal servant of the elven Lady Silverhair, you arrive at the remote
trading post of Waste's Edge, where she is engaged in negotiations with the
dwarvish merchant Bjarn Fingolson. But not all is well at Waste's Edge, and
soon you are confronted with circumstances that are about to destroy your
mistress' high reputation. And you are the only one to avert this ...


%prep
%setup -q
# fix wrong file permissions (fixed upstream for future release)
chmod a-x AUTHORS COPYING INSTALL README
# install locale files in the right place
sed -i 's|datadir = @gamedatadir@|datadir = ${prefix}/share|' po/Makefile.in.in
# patch configure to not use "more" any more
%patch0 -p0

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/{16x16,32x32}/apps
mv $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}_16x16.xpm $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/%{name}.xpm
mv $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}_32x32.xpm $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/%{name}.xpm
desktop-file-install --vendor=""                      \
        --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
        %{SOURCE1}
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING PLAYING README
%{_bindir}/adonthell-%{name}
%{_datadir}/adonthell/games/%{name}/
%{_datadir}/icons/hicolor/16x16/apps/%{name}.xpm
%{_datadir}/icons/hicolor/32x32/apps/%{name}.xpm
%{_datadir}/applications/%{name}.desktop


%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
    %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
    %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%changelog
* Sat Jun 28 2008 Mathieu Bridon <bochecha@no-log.org> 0.3.4-0.9
- patched configure script so that it doesn't use "more" any more.

* Tue Jun 03 2008 Mathieu Bridon <bochecha@no-log.org> 0.3.4-0.8
- added forgotten call to gtk-update-icon-cache in post and postun sections

* Sun Jun 01 2008 Mathieu Bridon <bochecha@no-log.org> 0.3.4-0.7
- changed licence tag
- removed obsolete entries from desktop file
- added -p option to make install to preserve timestamps
- fixed install location for icons
- cleaned up obsolete comments in spec file

* Sun Jun 01 2008 Mathieu Bridon <bochecha@no-log.org> 0.3.4-0.6
- fixed file ownership

* Thu Feb 21 2008 Mathieu Bridon <bochecha@no-log.org> 0.3.4-0.5
- made the locale files install in the right place

* Thu Feb 21 2008 Mathieu Bridon <bochecha@no-log.org> 0.3.4-0.4
- cleaned again the spec file
- made the desktop file install

* Thu Feb 21 2008 Mathieu Bridon <bochecha@no-log.org> 0.3.4-0.3
- added desktop file

* Thu Feb 21 2008 Mathieu Bridon <bochecha@no-log.org> 0.3.4-0.2
- cleaned the spec file

* Mon Feb 18 2008 Mathieu Bridon <bochecha@no-log.org> 0.3.4-0.1
- first version of the SPEC file

